/*******************************************************************************
 * Copyright 2017 Graz University of Technology
 * EAAF-Core Components has been developed in a cooperation between EGIZ,  
 * A-SIT Plus, A-SIT, and Graz University of Technology.
 *
 * Licensed under the EUPL, Version 1.2 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * https://joinup.ec.europa.eu/news/understanding-eupl-v12
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *  
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 *******************************************************************************/
/*******************************************************************************
 *******************************************************************************/
/*******************************************************************************
 *******************************************************************************/
package at.gv.egiz.eaaf.core.api.idp;

public interface EAAFAuthProcessDataConstants {

	public static final String GENERIC_PREFIX 					= "generic_";
	
	public static final String VALUE_ISSUEINSTANT 				= "direct_issueInstant";
	
	public static final String FLAG_IS_AUTHENTICATED 			= "direct_flagIsAuth";
	public static final String FLAG_IS_FOREIGNER 				= "direct_flagIsForeigner";	
	public static final String FLAG_USE_MANDATE 				= "direct_flagUseMandate";
	public static final String FLAG_IS_ORGANWALTER 				= "direct_flagOrganwalter";
	public static final String FLAG_IS_NEW_EID_PROCESS			= "direct_flagIsNewEID";
	
	@Deprecated public static final String VALUE_IDENTITYLINK 	= "direct_idl";
	public static final String VALUE_QAALEVEL 					= "direct_qaaLevel";	
	@Deprecated public static final String VALUE_MISMANDATE 	= "direct_MIS_Mandate";
	
	
}
