package at.gv.egiz.eaaf.core.exceptions;

import javax.annotation.Nonnull;

public abstract class EAAFServiceException extends EAAFException {

	private static final long serialVersionUID = -867758153828290337L;
	
	public EAAFServiceException(String errorId, Object[] params) {
		super(errorId, params);
		
	}
	
	public EAAFServiceException(String errorId, Object[] params, Throwable e) {
		super(errorId, params, e);
		
	}

	/**
	 * Get a textual identifier of the service that throws this exception
	 * 
	 * @return
	 */
	@Nonnull
	protected abstract String getServiceIdentifier();
	
	
	

}
