package at.gv.egiz.eaaf.modules.auth.sl20.data;

import java.security.cert.X509Certificate;
import java.util.List;

import com.fasterxml.jackson.databind.JsonNode;

public class VerificationResult {

	private Boolean validSigned = null;
	private List<X509Certificate> certs = null;
	private JsonNode payload = null;
	
	public VerificationResult(JsonNode payload) {
		this.payload = payload;
		
	}
	
	public VerificationResult(JsonNode string, List<X509Certificate> certs, boolean wasValidSigned) {
		this.payload = string;
		this.certs = certs;
		this.validSigned = wasValidSigned;
		
	}
	
	public Boolean isValidSigned() {
		return validSigned;
	}
	public List<X509Certificate> getCertChain() {
		return certs;
	}
	public JsonNode getPayload() {
		return payload;
	}
	
	
	
	
}
