package at.gv.egiz.eid.authhandler.modules.sigverify.moasig.exceptions;

import at.gv.egiz.eaaf.core.exceptions.EAAFServiceException;

public class MOASigServiceException extends EAAFServiceException {

	private static final long serialVersionUID = -6088238428550563658L;
	private static final String MOA_SIG_SERVICE_ID = "MOA-SIG-VERIFY";
	
	public MOASigServiceException(String errorId, Object[] params) {
		super(errorId, params);
		
	}
	
	public MOASigServiceException(String errorId, Object[] params, Throwable e) {
		super(errorId, params, e);
		
	}

	@Override
	protected String getServiceIdentifier() {
		return MOA_SIG_SERVICE_ID;
		
	}

}
