package at.gv.egiz.eaaf.core.api.idp;

import java.net.URI;
import java.util.Properties;

public interface IExtendedConfiguration extends IConfiguration {

	/**
	 * Get the full configuration properties object
	 * 
	 * @return 
	 */
	@Deprecated
	public Properties getFullConfigurationProperties();
	
	/**
	 * Get the path to EAAFCore configuration that is internally used
	 * 
	 * @return
	 */
	@Deprecated
	public URI getConfigurationFilePath();
	
}
