package at.gv.egiz.eid.authhandler.modules.sigverify.moasig.api.data;

/**
 * @author tlenz
 *
 */
public interface IXMLSignatureVerificationResponse extends IGenericSignatureVerificationResponse {


	/**
	   * Returns the xmlDSIGManifestCheckCode.
	   * @return int
	   */
	int getXmlDSIGManifestCheckCode();

	/**
	   * Returns the xmlDsigSubjectName.
	   * @return String
	   */
	String getXmlDsigSubjectName();

	
	/**
	   * Returns the xmlDSIGManigest.
	   * @return boolean
	   */
	boolean isXmlDSIGManigest();


	/**
	   * Returns the the resulting code of the signature manifest check.
	   *
	   * @return The code of the sigature manifest check.
	   */
	int getSignatureManifestCheckCode();

}