package at.gv.egiz.eid.authhandler.modules.sigverify.moasig.impl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import at.gv.egiz.eid.authhandler.modules.sigverify.moasig.api.ISignatureCreationService;

@Service(value="moaSigCreateService")
public class SignatureCreationService extends AbstractSignatureService implements ISignatureCreationService{
	private static final Logger log = LoggerFactory.getLogger(SignatureCreationService.class);
	
	private at.gv.egovernment.moa.spss.api.SignatureCreationService scs = null;
	
	@Override
	protected void internalInitializer() {
        log.debug("Instanzing SignatureCreationService implementation ... ");
		scs = at.gv.egovernment.moa.spss.api.SignatureCreationService.getInstance();		
		log.info("MOA-Sig signature-creation service initialized");

	}

}
