/*******************************************************************************
 * Copyright 2017 Graz University of Technology
 * EAAF-Core Components has been developed in a cooperation between EGIZ,  
 * A-SIT Plus, A-SIT, and Graz University of Technology.
 *
 * Licensed under the EUPL, Version 1.2 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * https://joinup.ec.europa.eu/news/understanding-eupl-v12
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *  
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 *******************************************************************************/
/*******************************************************************************
 *******************************************************************************/
/*******************************************************************************
 *******************************************************************************/
package at.gv.egiz.eaaf.modules.pvp2.impl.opensaml;

import java.security.KeyStore;

import org.opensaml.xml.security.x509.X509Credential;


/**
 * @author tlenz
 *
 */
public class KeyStoreX509CredentialAdapter extends
		org.opensaml.xml.security.x509.KeyStoreX509CredentialAdapter {

	/**
	 * @param store
	 * @param alias
	 * @param password
	 */
	public KeyStoreX509CredentialAdapter(KeyStore store, String alias,
			char[] password) {
		super(store, alias, password);
	}
	
	public Class<? extends X509Credential> getCredentialType() {
		return X509Credential.class;
	}
	

}
